// FILENAME:	TDM_The_Fight_For_Honor.cs
//
// AUTHORS:  	|3|-|
//------------------------------------------------------------------------------

$missionName = "TDM_The_Fight_For_Honor";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	marsSounds();
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
   setGameInfo("<F2>GAME TYPE:<f5> TDM<F2>MISSION:<F5>  TDM_Fight_For_Honor <F2>MISSION CREATOR:<F5>|3|-|  <f1>TIP:Let The Other Team Come To You! <F5><F2>DOWNLOAD INFO:<F5>\n\nYou can download this and other maps made by |3|-| at www.bountysplace.cjb.net ");
}

        // Keep tracks of hercs near door
	$HercsAtDoor1 = 0;
	$HercsAtDoor2 = 0;

function player::onAdd(%player)
{
   if(playerManager::getPlayerCount() > 3)
   {
      say("Everybody", 1, "There are now more than 3 players in the server. Now it will start lagging!");
   }
   say (%player, 0, "<bicon_nav_red.bmp>Welcome To TDM_Fight_For_Honor<bicon_nav_red.bmp>");
   say (%player, 19, "<bicon_nav_blue.bmp><f5>Enjoy Ur Stay Here!<bicon_nav_blue.bmp> ","scene1.wav");
   messagebox(%player,"Welcome to TDM_Fight_For_Honor, Made By |3|-|! if you want to download this and other maps made by |3|-| www.bountysplace.cjb.net");

}




function player::onRemove(%player)
{
   if(($stealthDetect == true)&&(strAlign(1, left, getname(%player))=="/"))
   {
      say(0,0,"<f4>"@getname(%player)@" left the game","alarm2.wav");
   }
}


// Doors \\

function door1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door1"), 0, true);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}
function door1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Stuff\\Door1"), 0, false);
	}
}

// End \\
